package de.ozgcloud.admin.environment;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.ValueSource;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.admin.common.FeatureToggleProperties;

class FeaturesMapperTest {

	private FeaturesMapper mapper = Mappers.getMapper(FeaturesMapper.class);

	@Nested
	class TestFromFeatureToggleProperties {

		private final FeatureToggleProperties props = new FeatureToggleProperties();

		@ParameterizedTest
		@ValueSource(booleans = {true, false})
		void shouldMapPostfach(boolean postfach) {
			props.setPostfach(postfach);

			var features = mapper.fromFeatureToggleProperties(props);

			assertThat(features.isPostfach()).isEqualTo(postfach);
		}

		@ParameterizedTest
		@ValueSource(booleans = {true, false})
		void shouldMapBenutzerRollen(boolean benutzerRollen) {
			props.setBenutzerRollen(benutzerRollen);

			var features = mapper.fromFeatureToggleProperties(props);

			assertThat(features.isBenutzerRollen()).isEqualTo(benutzerRollen);
		}
	}
}
